Bug 191220 - cups blocks reading /dev/random on https access
cups blocks reading /dev/random on https access
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: cups (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-09 16:22 EDT by Orion Poplawski
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-10 12:45:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2006-05-09 16:22:07 EDT
Description of problem:

When you access the cups server via https for the first time, it can hang for a
long time reading /dev/random.  Especially on server type machines with no one
typing at the keyboard.

The ultimate problem appears to be the lack of entropy being added to
the kernel entropy pool, but the fix appears to be to use /dev/urandom instead.

Version-Release number of selected component (if applicable):
cups-1.2-0.4.1.rc3.1

How reproducible:
Very

Steps to Reproduce:
1. Connect to https://<server>:631/
Comment 1 Tim Waugh 2006-05-10 12:45:38 EDT
There ought to be enough entropy for CUPS's needs just from disk and network
drivers.  CUPS uses /dev/random to seed a cryptographic key, so it does need to
be "properly" random.

Note You need to log in before you can comment on or make changes to this bug.